|
|
712866 |
From 7335bd1e2358560ac461ef23715a0098f78330fb Mon Sep 17 00:00:00 2001
|
|
|
712866 |
From: Harald Hoyer <harald@redhat.com>
|
|
|
712866 |
Date: Fri, 24 Apr 2015 11:54:07 +0200
|
|
|
712866 |
Subject: [PATCH] Defer modprobe of HW modules, until udev is running
|
|
|
712866 |
|
|
|
712866 |
Also honor blacklisting
|
|
|
712866 |
|
|
|
712866 |
(cherry picked from commit 437dad70e9525a21da873652080bbd62a9d8b96a)
|
|
|
712866 |
---
|
|
|
712866 |
modules.d/95fcoe/parse-fcoe.sh | 5 ++---
|
|
|
712866 |
modules.d/95iscsi/parse-iscsiroot.sh | 9 ++-------
|
|
|
712866 |
2 files changed, 4 insertions(+), 10 deletions(-)
|
|
|
712866 |
|
|
|
712866 |
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
|
|
|
712866 |
index 745a78c..e8a77e0 100755
|
|
|
712866 |
--- a/modules.d/95fcoe/parse-fcoe.sh
|
|
|
712866 |
+++ b/modules.d/95fcoe/parse-fcoe.sh
|
|
|
712866 |
@@ -22,10 +22,9 @@
|
|
|
712866 |
|
|
|
712866 |
|
|
|
712866 |
# BRCM: Later, should check whether bnx2x is loaded first before loading bnx2fc so do not load bnx2fc when there are no Broadcom adapters
|
|
|
712866 |
-[ -e /sys/bus/fcoe/ctlr_create ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
712866 |
+[ -e /sys/bus/fcoe/ctlr_create ] || modprobe -b -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
712866 |
|
|
|
712866 |
-modprobe bnx2fc >/dev/null 2>&1
|
|
|
712866 |
-udevadm settle --timeout=30
|
|
|
712866 |
+initqueue --onetime modprobe -b -q bnx2fc
|
|
|
712866 |
|
|
|
712866 |
# FCoE actually supported?
|
|
|
712866 |
[ -e /sys/bus/fcoe/ctlr_create ] || modprobe fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
712866 |
diff --git a/modules.d/95iscsi/parse-iscsiroot.sh b/modules.d/95iscsi/parse-iscsiroot.sh
|
|
|
712866 |
index 3d74ff2..80201d4 100755
|
|
|
712866 |
--- a/modules.d/95iscsi/parse-iscsiroot.sh
|
|
|
712866 |
+++ b/modules.d/95iscsi/parse-iscsiroot.sh
|
|
|
712866 |
@@ -89,16 +89,11 @@ if [ -z "$netroot" ] || ! [ "${netroot%%:*}" = "iscsi" ]; then
|
|
|
712866 |
fi
|
|
|
712866 |
|
|
|
712866 |
initqueue --unique --onetime --timeout /sbin/iscsiroot timeout "$netroot" "$NEWROOT"
|
|
|
712866 |
-
|
|
|
712866 |
-modprobe -b -q qla4xxx
|
|
|
712866 |
-modprobe -b -q cxgb3i
|
|
|
712866 |
-modprobe -b -q cxgb4i
|
|
|
712866 |
-modprobe -b -q bnx2i
|
|
|
712866 |
-modprobe -b -q be2iscsi
|
|
|
712866 |
+initqueue --onetime modprobe --all -b -q qla4xxx cxgb3i cxgb4i bnx2i be2iscsi
|
|
|
712866 |
|
|
|
712866 |
# ISCSI actually supported?
|
|
|
712866 |
if ! [ -e /sys/module/iscsi_tcp ]; then
|
|
|
712866 |
- modprobe -q iscsi_tcp || die "iscsiroot requested but kernel/initrd does not support iscsi"
|
|
|
712866 |
+ modprobe -b -q iscsi_tcp || die "iscsiroot requested but kernel/initrd does not support iscsi"
|
|
|
712866 |
fi
|
|
|
712866 |
|
|
|
712866 |
if [ -n "$netroot" ] && [ "$root" != "/dev/root" ] && [ "$root" != "dhcp" ]; then
|